> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update vaulted card metadata



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/cards/vault/{id}
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/cards/vault/{id}:
    patch:
      tags:
        - Cards Vault
      summary: Update vaulted card metadata
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  maxLength: 255
                metadata:
                  type: object
                  additionalProperties: {}
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VaultedCard'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    VaultedCard:
      type: object
      properties:
        id:
          type: string
        account_id:
          type: string
          format: uuid
        processor:
          type: string
          enum:
            - stripe
            - adyen
        processor_token:
          type: string
          description: Tokenized reference at the processor — never PAN
        card_last_four:
          type: string
        card_brand:
          type: string
        expiry_month:
          type: integer
          minimum: 1
          maximum: 12
        expiry_year:
          type: integer
        label:
          type:
            - string
            - 'null'
        billing_address:
          type:
            - object
            - 'null'
          properties:
            line1:
              type: string
            city:
              type: string
            postal_code:
              type: string
            country:
              type: string
          required:
            - line1
            - city
            - postal_code
            - country
        visa_token_id:
          type:
            - string
            - 'null'
        mastercard_token_id:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties: {}
          default: {}
        created_at:
          type: string
          format: date-time
      required:
        - id
        - account_id
        - processor
        - processor_token
        - card_last_four
        - card_brand
        - expiry_month
        - expiry_year
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````